## WebKitDOMMediaList WebKitDOMMediaList |

## Functions

gchar * | webkit_dom_media_list_item ()
void | webkit_dom_media_list_delete_medium ()
void | webkit_dom_media_list_append_medium ()
gchar * | webkit_dom_media_list_get_media_text ()
void | webkit_dom_media_list_set_media_text ()
gulong | webkit_dom_media_list_get_length ()

## Properties

gulong | length | Read
char * | media-text | Read / Write

## Types and Values

struct | WebKitDOMMediaList

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMMediaList

## Description

## Functions

### webkit_dom_media_list_item ()

    gchar *
    webkit_dom_media_list_item (WebKitDOMMediaList *self,
                                gulong index);

`webkit_dom_media_list_item` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMediaList |
index | A gulong |

#### Returns

A gchar

### webkit_dom_media_list_delete_medium ()

    void
    webkit_dom_media_list_delete_medium (WebKitDOMMediaList *self,
                                         const gchar *oldMedium,
                                         GError **error);

`webkit_dom_media_list_delete_medium` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMediaList |
oldMedium | A gchar |
error | GError |

### webkit_dom_media_list_append_medium ()

    void
    webkit_dom_media_list_append_medium (WebKitDOMMediaList *self,
                                         const gchar *newMedium,
                                         GError **error);

`webkit_dom_media_list_append_medium` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMediaList |
newMedium | A gchar |
error | GError |

### webkit_dom_media_list_get_media_text ()

    gchar *
    webkit_dom_media_list_get_media_text (WebKitDOMMediaList *self);

`webkit_dom_media_list_get_media_text` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMediaList |

#### Returns

A gchar

### webkit_dom_media_list_set_media_text ()

    void
    webkit_dom_media_list_set_media_text (WebKitDOMMediaList *self,
                                          const gchar *value,
                                          GError **error);

`webkit_dom_media_list_set_media_text` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMediaList |
value | A gchar |
error | GError |

### webkit_dom_media_list_get_length ()

    gulong
    webkit_dom_media_list_get_length (WebKitDOMMediaList *self);

`webkit_dom_media_list_get_length` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMediaList |

#### Returns

A gulong

## Types and Values

### struct WebKitDOMMediaList

    struct WebKitDOMMediaList;

## Property Details

### The `“length”` property

      “length”                   gulong

read-only gulong MediaList:length.

Owner: WebKitDOMMediaList

Flags: Read

### The `“media-text”` property

      “media-text”               char *

read-write gchar* MediaList:media-text.

Owner: WebKitDOMMediaList

Flags: Read / Write

Default value: ""